## LassoDiscoModifyResponse LassoDiscoModifyResponse — <disco:ModifyResponse> |

## Functions

LassoDiscoModifyResponse * | lasso_disco_modify_response_new ()

## Types and Values

struct | LassoDiscoModifyResponse

## Description

Figure 106. Schema fragment for disco:ModifyResponse

    <xs:element name="ModifyResponse" type="ModifyResponseType"/>
    <xs:complexType name="ModifyResponseType">
      <xs:sequence>
        <xs:element ref="Status"/>
        <xs:element ref="Extension" minOccurs="0" maxOccurs="1"/>
      </xs:sequence>
      <xs:attribute name="id" type="xs:ID" use="optional"/>
      <xs:attribute name="newEntryIDs" use="optional">
        <xs:simpleType>
          <xs:list itemType="IDReferenceType"/>
        </xs:simpleType>
      </xs:attribute>
    </xs:complexType>

    Schema fragment (liberty-idwsf-utility-1.0-errata-v1.0.xsd):

    <xs:simpleType name="IDReferenceType">
      <xs:annotation>
        <xs:documentation> This type can be used when referring to elements that are
          identified using an IDType </xs:documentation>
        </xs:annotation>
      <xs:restriction base="xs:string"/>
    </xs:simpleType>

## Functions

### lasso_disco_modify_response_new ()

    LassoDiscoModifyResponse *
    lasso_disco_modify_response_new (LassoUtilityStatus *status);

## Types and Values

### struct LassoDiscoModifyResponse

    struct LassoDiscoModifyResponse {
    	LassoNode parent;

    	/*
    	 * - QNames define in strings.h (LASSO_DISCO_STATUS_CODE_* ) are expected to appear in
    	 *   the"code" attribute of Status elements used in Discovery Service protocol messages.
    	 * - The "ref" attribute on the Status element is not used in this specification,
    	 *   so it MUST not appear on Status elements in Discovery Service protocol messages.
    	 * - The contents of the "comment" attribute are not defined by this specification,
    	 *   but it may be used for additional descriptive text intended for human consumption
    	 *   (for example, to carry information that will aid debugging).
    	*/
    	LassoUtilityStatus *Status;

    	char *id;
    	char *newEntryIDs;
    };